Bug 988229 - cannot start vm snapshotted with ram with libvirt 0.10.2
cannot start vm snapshotted with ram with libvirt 0.10.2
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Arik
Depends On:
Blocks: 960931
  Show dependency treegraph
Reported: 2013-07-25 03:15 EDT by Arik
Modified: 2013-09-23 03:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 03:32:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17298 None None None Never

  None (edit)
Description Arik 2013-07-25 03:15:55 EDT
Description of problem:
With libvirt 0.10.2 it is possible to take live snapshot with ram, but it is not possible to run the vm after it is reverted to this snapshot. we get the following error in vdsm: 
TypeError: restoreFlags() takes exactly 4 arguments (3 given)
The problem is that in libvirt > 1.0.1, the restoreFlags verb assign default values for its optional arguments (specifically the "flags" attribute), and in 0.10.2 they don't get default values, so when calling this verb with only 3 arguments we get an error.

Version-Release number of selected component (if applicable):
libvirt 0.10.2-18.el6

How reproducible:

Steps to Reproduce:
1. Take live snapshot with ram
2. Power down the vm and revert to that snapshot
3. Run the VM

Actual results:
The run fails with the error mentioned above in vdsm log

Expected results:
The vm run and the memory from the snapshot is restored

Additional info:
Comment 2 Itamar Heim 2013-08-21 12:40:15 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:32:15 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.